apiVersion: v1
kind: Service
metadata:
  labels:
    app: thanos-store
  namespace: monitoring
  name: thanos-store
spec:
  externalTrafficPolicy: Cluster
  ports:
  - port: 9090
    protocol: TCP
    targetPort: http
    name: http-query
  selector:
    app: thanos-store
  sessionAffinity: None
  type: NodePort
